1. Contact
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Contact

Get Contact By Id

GET
/api/v1/customer/{contactId}

Contact By ID#

Purpose#

Retrieve detailed information for a specific customer using the customer's Contact ID.

Why would you use this?#

Use this API when you need complete customer information for a specific customer, such as contact details, address information, GST details, loyalty points, and branch association.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
contactIdYesUnique identifier of the customer
branch_idYesBranch identifier associated with the customer

Information Returned#

This API returns detailed customer information including:
Customer Name
Mobile Number
Email Address
WhatsApp Number
Address Details
GST Information
PAN Information
Loyalty Points
Branch Details
Customer Status

Example Use Case#

An external application has a customer's Contact ID and needs to display or update the latest customer information.
The application can use this API to retrieve complete customer details directly from VasyERP.

Important Notes#

Contact ID must be a valid customer identifier.
Contact ID can be obtained from the Customer List API.
Branch ID must belong to the authenticated merchant.
This API returns details for a single customer only.

Common Mistakes#

āŒ Passing an invalid Contact ID
āŒ Using customer name instead of Contact ID
āŒ Using an incorrect Branch ID
āŒ Missing API authentication token

Important Notes#

Contact ID must be a valid customer identifier.
Contact ID can be obtained from the Customer List API.
If branch_id is not provided, the API automatically uses the Head Office (HO) branch.
Providing branch_id is recommended when customer information needs to be retrieved for a specific branch.
This API returns details for a single customer only.

Request

Path Params

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
🟠400ContactID Validation
🟠400BranchID Validation
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/customer/5313756?branch_id=24448' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Contact Detail",
    "code": "200",
    "response": {
        "firstName": "9991482617",
        "lastName": "",
        "contactId": 5313756,
        "companyName": "",
        "mobNo": "9991482617",
        "telephone": "",
        "whatsappNo": "",
        "email": "",
        "remark": "",
        "dateOfBirth": null,
        "anniversaryDate": null,
        "panNo": "",
        "contactType": "",
        "countryDialCodePrefix": 0,
        "countryDialCodePrefixWhatsapp": 0,
        "loyaltyPoints": 0,
        "lastModifiedOn": "2026-05-26 11:44:03.038461+05:30",
        "lastModifiedBy": "my business",
        "gstType": "",
        "gstin": "",
        "branchName": "my business",
        "contactAddress": [
            {
                "contactAddressId": 5278168,
                "addressLine1": "2374",
                "addressLine2": "Chiranjiv Park, C/2206, Sushant Lok Rd, Block C, Sushant Lok Phase I, Sector 43, Gurugram, Haryana 122009, India",
                "pinCode": "122009",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "GURUGRAM",
                "stateName": "Haryana",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": true
            },
            {
                "contactAddressId": 5278303,
                "addressLine1": "Test Ananda",
                "addressLine2": "Sec 82",
                "pinCode": "122012",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "GURUGRAM",
                "stateName": "Haryana",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": false
            },
            {
                "contactAddressId": 5278174,
                "addressLine1": "Test",
                "addressLine2": "Saini Khera Village",
                "pinCode": "122001",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "GURUGRAM",
                "stateName": "Haryana",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": false
            },
            {
                "contactAddressId": 5278173,
                "addressLine1": "D-75",
                "addressLine2": "Suncity",
                "pinCode": "122011",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "GURUGRAM",
                "stateName": "Haryana",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": false
            },
            {
                "contactAddressId": 5278172,
                "addressLine1": "101",
                "addressLine2": "Kapashera",
                "pinCode": "110097",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "New Delhi",
                "stateName": "Delhi",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": false
            },
            {
                "contactAddressId": 5278169,
                "addressLine1": "3rd floor",
                "addressLine2": "2375, opposite Vyapar Kendra Road, Block C, Sushant Lok Phase I, Sector 43, Gurugram, Haryana 122009, India",
                "pinCode": "122009",
                "gstType": "UnRegistered",
                "gstin": null,
                "firstName": "9991482617",
                "lastName": null,
                "companyName": null,
                "panNo": null,
                "contactNo": "9991482617",
                "contactEmail": null,
                "cityName": "GURUGRAM",
                "stateName": "Haryana",
                "countriesName": "India",
                "countryDialCodePrefix": 0,
                "defaultAddress": false
            }
        ]
    }
}
Previous
Get Customer List W Branch Id
Next
Get Contact By Mobile No
Built with